package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson2.JSONObject;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 附件对象 boman_annex
 * 
 * @author boman
 * @date 2023-11-13
 */
public class BomanAnnex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 素材id */
    private Long annexId;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String annexUrl;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String annexName;
    private String annexVoid;
    private String annexVoidName;

    private String annexImage;
    private String annexImageName;
    /** 附件类型1:vr */
    @Excel(name = "附件类型1:vr")
    private String type;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keywords;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;

    private List<BomanAnnex> bomanAnnexList;
    /**
     * 标注
     */
    private String dimension;

    public String getAnnexImage() {
        return annexImage;
    }

    public void setAnnexImage(String annexImage) {
        this.annexImage = annexImage;
    }

    public String getAnnexImageName() {
        return annexImageName;
    }

    public void setAnnexImageName(String annexImageName) {
        this.annexImageName = annexImageName;
    }

    public String getAnnexVoidName() {
        return annexVoidName;
    }

    public void setAnnexVoidName(String annexVoidName) {
        this.annexVoidName = annexVoidName;
    }

    public String getAnnexVoid() {
        return annexVoid;
    }

    public void setAnnexVoid(String annexVoid) {
        this.annexVoid = annexVoid;
    }

    public String getDimension() {
        return dimension;
    }

    public void setDimension(String dimension) {
        this.dimension = dimension;
    }

    public List<BomanAnnex> getBomanAnnexList() {
        return bomanAnnexList;
    }

    public void setBomanAnnexList(List<BomanAnnex> bomanAnnexList) {
        this.bomanAnnexList = bomanAnnexList;
    }

    public void setAnnexId(Long annexId)
    {
        this.annexId = annexId;
    }

    public Long getAnnexId() 
    {
        return annexId;
    }
    public void setAnnexUrl(String annexUrl) 
    {
        this.annexUrl = annexUrl;
    }

    public String getAnnexUrl() 
    {
        return annexUrl;
    }
    public void setAnnexName(String annexName) 
    {
        this.annexName = annexName;
    }

    public String getAnnexName() 
    {
        return annexName;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setKeywords(String keywords) 
    {
        this.keywords = keywords;
    }

    public String getKeywords() 
    {
        return keywords;
    }
    public void setReleaseTime(Date releaseTime) 
    {
        this.releaseTime = releaseTime;
    }

    public Date getReleaseTime() 
    {
        return releaseTime;
    }

    @Override
    public String toString() {
        return "BomanAnnex{" +
                "annexId=" + annexId +
                ", annexUrl='" + annexUrl + '\'' +
                ", annexName='" + annexName + '\'' +
                ", annexVoid='" + annexVoid + '\'' +
                ", annexVoidName='" + annexVoidName + '\'' +
                ", annexImage='" + annexImage + '\'' +
                ", annexImageName='" + annexImageName + '\'' +
                ", type='" + type + '\'' +
                ", keywords='" + keywords + '\'' +
                ", releaseTime=" + releaseTime +
                ", bomanAnnexList=" + bomanAnnexList +
                ", dimension='" + dimension + '\'' +
                '}';
    }
}
